Package ghidra.framework.options

# Class Option

java.lang.Object
ghidra.framework.options.Option

Direct Known Subclasses:
  `ThemeColorOption`, `ThemeFontOption`

public abstract class Option extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `UNREGISTERED_OPTION`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `Option(String name, OptionType optionType, String description, HelpLocation helpLocation, Object defaultValue, boolean isRegistered, PropertyEditor editor)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract void`
  `doSetCurrentValue(Object value)`
  `abstract Object`
  `getCurrentValue()`
  `Object`
  `getDefaultValue()`
  `String`
  `getDescription()`
  `HelpLocation`
  `getHelpLocation()`
  `String`
  `getInceptionInformation()`
  `String`
  `getName()`
  `OptionType`
  `getOptionType()`
  `PropertyEditor`
  `getPropertyEditor()`
  `Object`
  `getValue(Object passedInDefaultValue)`
  `boolean`
  `isDefault()`
  `boolean`
  `isRegistered()`
  `void`
  `restoreDefault()`
  `void`
  `setCurrentValue(Object value)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### UNREGISTERED_OPTION

    public static final String UNREGISTERED_OPTION
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Option

    protected Option(String name, OptionType optionType, String description, HelpLocation helpLocation, Object defaultValue, boolean isRegistered, PropertyEditor editor)

- ## Method Details

  - ### getCurrentValue

    public abstract Object getCurrentValue()

  - ### doSetCurrentValue

    public abstract void doSetCurrentValue(Object value)

  - ### setCurrentValue

    public void setCurrentValue(Object value)

  - ### getName

    public String getName()

  - ### getPropertyEditor

    public PropertyEditor getPropertyEditor()

  - ### getHelpLocation

    public HelpLocation getHelpLocation()

  - ### getDescription

    public String getDescription()

  - ### getValue

    public Object getValue(Object passedInDefaultValue)

  - ### isRegistered

    public boolean isRegistered()

  - ### restoreDefault

    public void restoreDefault()

  - ### isDefault

    public boolean isDefault()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getDefaultValue

    public Object getDefaultValue()

  - ### getInceptionInformation

    public String getInceptionInformation()

  - ### getOptionType

    public OptionType getOptionType()